package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
  描述:base_electric_client_info的实体类
 */
public class ElectricClientInfo {
	private String id;
	private String customerNo;
	private String roomId;
	private RoomInfo room;
	private RoomInfo building;
	private RoomInfo area;
	private String roomName;
	private String roomUseType;
	private String meterId;
	private String meterName;
	private Integer electricityTotal;
	private BigDecimal amountTotal;
	private Integer buyNum;
	private Integer electricityRemaining;
	private BigDecimal amountRemaining;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private Integer rechargeTimes;
	private Boolean active;
	private Integer warningValue;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取户号
	 */
	public String getCustomerNo(){
		return customerNo;
	}
	
	/**
	 *设置户号
	 */
	public void setCustomerNo(String customerNo){
		this.customerNo = customerNo;
	}
		/**
	 *获取房间号ID
	 */
	public String getRoomId(){
		return roomId;
	}

	/**
	 *设置房间号ID
	 */
	public void setRoomId(String roomId){
		this.roomId = roomId;
	}
	/**
	 *获取房间号名称
	 */
	public String getRoomName(){
		return roomName;
	}

	/**
	 *设置房间号名称
	 */
	public void setRoomName(String roomName){
		this.roomName = roomName;
	}
		/**
	 *获取电表号ID
	 */
	public String getMeterId(){
		return meterId;
	}
	
	/**
	 *设置电表号ID
	 */
	public void setMeterId(String meterId){
		this.meterId = meterId;
	}
	/**
	 *获取电表号名称
	 */
	public String getMeterName(){
		return meterName;
	}

	/**
	 *设置电表号名称
	 */
	public void setMeterName(String meterName){
		this.meterName = meterName;
	}
		/**
	 *获取总购电量
	 */
	public Integer getElectricityTotal(){
		return electricityTotal;
	}
	
	/**
	 *设置总购电量
	 */
	public void setElectricityTotal(Integer electricityTotal){
		this.electricityTotal = electricityTotal;
	}
		/**
	 *获取总购电金额
	 */
	public BigDecimal getAmountTotal(){
		return amountTotal;
	}
	
	/**
	 *设置总购电金额
	 */
	public void setAmountTotal(BigDecimal amountTotal){
		this.amountTotal = amountTotal;
	}
		/**
	 *获取购买次数
	 */
	public Integer getBuyNum(){
		return buyNum;
	}
	
	/**
	 *设置购买次数
	 */
	public void setBuyNum(Integer buyNum){
		this.buyNum = buyNum;
	}
		/**
	 *获取剩余电量
	 */
	public Integer getElectricityRemaining(){
		return electricityRemaining;
	}
	
	/**
	 *设置剩余电量
	 */
	public void setElectricityRemaining(Integer electricityRemaining){
		this.electricityRemaining = electricityRemaining;
	}
		/**
	 *获取剩余金额
	 */
	public BigDecimal getAmountRemaining(){
		return amountRemaining;
	}
	
	/**
	 *设置剩余金额
	 */
	public void setAmountRemaining(BigDecimal amountRemaining){
		this.amountRemaining = amountRemaining;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/**
	 *获取用电类型
	 */
	public String getRoomUseType(){
		return roomUseType;
	}

	/**
	 *设置用电类型
	 */
	public void setRoomUseType(String roomUseType){
		this.roomUseType = roomUseType;
	}

	/**
	 *获取
	 */
	public RoomInfo getRoom(){
		return room;
	}

	/**
	 *设置
	 */
	public void setRoom(RoomInfo room){
		this.room = room;
	}
	/**
	 *获取
	 */
	public RoomInfo getBuilding(){
		return building;
	}

	/**
	 *设置
	 */
	public void setBuilding(RoomInfo building){
		this.building = building;
	}
	/**
	 *获取
	 */
	public RoomInfo getArea(){
		return area;
	}

	/**
	 *设置
	 */
	public void setArea(RoomInfo area){
		this.area = area;
	}

	public Integer getRechargeTimes() {
		return rechargeTimes;
	}

	public void setRechargeTimes(Integer rechargeTimes) {
		this.rechargeTimes = rechargeTimes;
	}

	/**
	 * 是否通电
	 * @return
	 */
	public Boolean getActive() {
		return active;
	}

	public void setActive(Boolean active) {
		this.active = active;
	}

	/**
	 * 报警数值
	 * @return
	 */
	public Integer getWarningValue() {
		return warningValue;
	}

	public void setWarningValue(Integer active) {
		this.warningValue = warningValue;
	}

}